Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.stream
Class StreamSource

    java.lang.Object
      |
      +--javax.xml.transform.stream.StreamSource

All Implemented Interfaces:
  Source

public class StreamSource
extends java.lang.Object
implements Source

Stream Source

Version:
  1.0
Author:
  Andrew Selkirk

Field Summary
`static java.lang.String` | `FEATURE`

Constructor Summary
`StreamSource()`
`StreamSource(java.io.File file)`
`StreamSource(java.io.InputStream stream)`
`StreamSource(java.io.InputStream stream, java.lang.String systemID)`
`StreamSource(java.io.Reader reader)`
`StreamSource(java.io.Reader reader, java.lang.String systemID)`
`StreamSource(java.lang.String systemID)`

Method Summary
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getPublicId()`
`java.io.Reader` | `getReader()`
`java.lang.String` | `getSystemId()` Returns the URI for this source.
`void` | `setInputStream(java.io.InputStream stream)`
`void` | `setPublicId(java.lang.String publicID)`
`void` | `setReader(java.io.Reader reader)`
`void` | `setSystemId(java.io.File file)`
`void` | `setSystemId(java.lang.String systemID)` Associates a URI with this source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

Constructor Detail

### StreamSource

    public StreamSource()

### StreamSource

    public StreamSource(java.io.File file)

### StreamSource

    public StreamSource(java.io.InputStream stream)

### StreamSource

    public StreamSource(java.io.InputStream stream,
                        java.lang.String systemID)

### StreamSource

    public StreamSource(java.io.Reader reader)

### StreamSource

    public StreamSource(java.io.Reader reader,
                        java.lang.String systemID)

### StreamSource

    public StreamSource(java.lang.String systemID)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

### getPublicId

    public java.lang.String getPublicId()

### getReader

    public java.io.Reader getReader()

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `Source`
  Returns the URI for this source. Some sources may not need URIs, for example ones provided as an input stream, but such URIs are important for resolving relative URIs and for providing usable diagnostics.
  Specified by:
    `getSystemId` in interface `Source`

### setInputStream

    public void setInputStream(java.io.InputStream stream)

### setPublicId

    public void setPublicId(java.lang.String publicID)

### setReader

    public void setReader(java.io.Reader reader)

### setSystemId

    public void setSystemId(java.io.File file)

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Description copied from interface: `Source`
  Associates a URI with this source.
  Specified by:
    `setSystemId` in interface `Source`
  Following copied from interface: `javax.xml.transform.Source`
  Parameters:
    `systemID` - the URI

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.